Bug 842194 - Enable build of radeonsi driver
Enable build of radeonsi driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 21:51 EDT by Shawn
Modified: 2012-08-02 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-02 13:01:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn 2012-07-22 21:51:03 EDT
Description of problem:

The new AMD Southern Islands video cards HD77xx have a new architecture and so require a new driver in order to do any thing beyond basic 2D. This driver is the radeonsi. This is a Gallium driver.  This driver while a work in progress does already exist in the mesa-20120717 source tar ball. Currently the spec file does not enable building this driver. To enable it it might be as simple as changing


--with-gallium-drivers=%{?with_vmware:svga,}r300,r600,nouveau,swrast

to 

--with-gallium-drivers=%{?with_vmware:svga,}r300,r600,nouveau,swrast,radionsi

and then adding an entry to the spec file down in %files for it. 



I am sorry I don't have a better understanding of the video stack or I would have tried to go farther before filing this. If you can build it on koji I can grab it from there and try it out before you push it to rawhide. 

More info here.

http://www.x.org/wiki/RadeonFeature
http://www.phoronix.com/scan.php?page=news_item&px=MTA4NzM
http://www.phoronix.com/scan.php?page=news_item&px=MTAyNTA
Comment 1 Adam Jackson 2012-08-02 13:01:52 EDT
* Mon Jul 23 2012 Adam Jackson <ajax@redhat.com> 8.1-0.13
- Build radeonsi (#842194)

Note You need to log in before you can comment on or make changes to this bug.